#!/usr/bin/python
#! -*- coding: utf-8 -*-

import datetime

# Settings File for supr_swestore

# SUPR API USER NAME
SUPR_API_USER_NAME  = 
# SUPR API PASSWORD
SUPR_API_PASSWORD   = 
# SUPR API URL
SUPR_BASE_URL       =

# LDAP HOST
HOST_NAME           = 
LDAP_PORT           = 
LDAP_HOST           =
#LDAP_HOST          = "ldapi:///"
# LDAP BIND DN
baseDN              = "dc=swestore-ldap"
LDAP_ADMIN          = "cn=admin," + baseDN
# LDAP BIND PASSWORD
LDAP_PASSWORD       = 

# TLS Certificate Paths
#TLS_CACERTDIR      = "/etc/openldap/certs/"
TLS_CACERTFILE      = "/etc/grid-security/certificates/TERENA-eScience-SSL-CA-3.pem"
TLS_CERTFILE        = "/etc/grid-security/supr-cert.pem"
TLS_KEYFILE         = "/etc/grid-security/supr-key.pem"

# LDAP DN
groupsDN            = "ou=Groups," + baseDN 
peopleDN            = "ou=People," + baseDN
uidNumberStart      = 30000
gidNumberStart      = 6000

# Centre Resource ID in SUPR for Swestore
resource_centre_id  = 9

# dcache Resource ID in SUPR for Swestore
dcache_resource_id  = '31'

# Kerberos settings
keytab              = 
adminprincipal      =  
 
# Get a date object
today               = datetime.date.today().strftime("%Y-%m-%d")

BASEDIR             = "/supr/"
LOG_DIR             = BASEDIR+ "logs/"
DELETE_LOG_FILE     = BASEDIR + "logs/delete_" + str(today) + ".log"
LOG_FILE            = BASEDIR + "logs/ldap_" + str(today) + ".log"
LOG_FILE_MODE       = 'a'
LOG_FILE_FORMAT     = '%(asctime)s - %(name)s - %(levelname)s - %(message)s'
LOG_FILE_DATEFORMAT = '%H:%M:%S'

# DCache Admin Mail Ids to send mail
DCACHE_ADMIN_MAIL   = 'dcache-admin@swestore.se'

# Send Mail Attributes
SMTP_HOST           = 'localhost'
SMTP_PORT           = 25

FROM_ADDRS          = 'supr@' + HOST_NAME

LDAP_SUBJECT        = "SUPR - SWESTORE LDAP Integration Daily Mail"
LDAP_DEL_SUBJECT    = "SUPR - SWESTORE LDAP Deletion Mail"
